Skip to content

Get List of Reserved IPs

GET
/api/v1/reserve_ips/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

List of Reserved IPs

Media typeapplication/json
object
code
integer
data
Array<object>
object
ip_address
string
status
string
bought_at
string
vm_id
integer
nullable
vm_name
string
reserve_id
integer
appliance_type
string
reserved_type
string
Allowed values: FloatingIP PublicIP AddonIP
project_name
string
floating_ip_attached_nodes
Array<object>
object
id
integer
vm_id
integer
name
string
ip_address_private
string
status_name
string
ip_address_public
string
security_group_status
string
errors
object
key
additional properties
any
message
string
is_limit_available
boolean
reserved_ip_details
object
customer_max_limit
integer
reserved_ips_count
integer
reserve_ip_price
string
currency
string

Example

{
"code": 200,
"data": [
{
"ip_address": "164.52.220.153",
"status": "Attached",
"bought_at": "05-07-2025 11:35",
"vm_id": null,
"vm_name": "--",
"reserve_id": 15787,
"appliance_type": "--",
"reserved_type": "FloatingIP",
"project_name": "Default...",
"floating_ip_attached_nodes": [
{
"id": 244981,
"vm_id": 259551,
"name": "C3-8GB-415",
"ip_address_private": "10.16.234.6",
"status_name": "Running",
"ip_address_public": "164.52.220.154",
"security_group_status": "Updated"
}
]
}
],
"errors": {},
"message": "Success",
"is_limit_available": true,
"reserved_ip_details": {
"customer_max_limit": 10,
"reserved_ips_count": 5
},
"reserve_ip_price": "INR 199.0 (excluding GST)",
"currency": "INR"
}